unit About;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls,
  Buttons, ExtCtrls, mtbase,sysutils, demos;

type
  TAboutBox = class(TForm)
    Panel1: TPanel;
    OKButton: TBitBtn;
    ProductName: TLabel;
    Version: TLabel;
    Copyright: TLabel;
    Comments: TLabel;
    BouncePanel: TPanel;
    ProgramIcon: TImage;
    procedure FormActivate(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormDeactivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

type
  TIconBouncer=class(TThread)
  public
    x, y : integer;
    xd, yd : integer;
    Procedure Run; override;
  end;

var
  IconBouncer : TIconBouncer;

procedure TAboutBox.FormActivate(Sender: TObject);
begin
  NewThread(IconBouncer);
end;

procedure TAboutBox.FormCreate(Sender: TObject);
begin
  IconBouncer:=TIconBouncer.Create(0,tsPrivate,8192);
end;

procedure TAboutBox.FormDestroy(Sender: TObject);
begin
  RaiseOnThreadId(IconBouncer.Id,EAbort.Create('About Box dying'));
  IconBouncer.Free;
end;

procedure TAboutBox.FormDeactivate(Sender: TObject);
begin
  RaiseOnThreadId(IconBouncer.Id,EAbort.Create('About Box closing'));
end;

Procedure TIconBouncer.Run;
begin
  BounceControl(AboutBox.ProgramIcon,3,3,30);
end;

end.

